﻿using System;
using System.Collections.Generic;
using MovieDB.Common;
using MovieDB.DTOs;

namespace MovieDB.ServiceInterfaces
{
    public interface ISearchService {
        bool IsTitleAvailable(string title, Guid? movieId = null);
        IEnumerable<MovieDto> SearchForAutocomplete(string movieName);
        PagedMovieDto SearchByMoviename(string id, int page, int pageSize);
        PagedMovieDto GetMovieByGenre(MovieGenre category, int page, int pageSize);
        PagedMovieDto GetMovieByVideoType(VideoType videoType, int page, int pageSize);
    }
}