﻿using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using MovieDB.Mapping;

namespace MovieDB
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : HttpApplication
    {
        public void InitializeMapping()
        {
            MappingInitializer.InitMapping();
        }

        public static void RegisterGlobalFilters(GlobalFilterCollection filters)
        {
            var handleErrorAttribute = new HandleErrorAttribute();
            filters.Add(handleErrorAttribute);
        }

        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");
            routes.IgnoreRoute("favicon.ico");

            routes.MapRoute(
                "Default", // Route name
                "{controller}/{action}/{id}", // URL with parameters
                new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
                );
        }

        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            RegisterGlobalFilters(GlobalFilters.Filters);
            RegisterRoutes(RouteTable.Routes);
            InitializeMapping();
        }
    }
}